- Main Page
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# OtherObjectiveOption Class Reference

the OtherObjectiveOption class. More...

`#include <OSOption.h>`

Collaboration diagram for OtherObjectiveOption:

[legend]
List of all members.

## Public Member Functions
| OtherObjectiveOption ()
| Default constructor.
| ~OtherObjectiveOption ()
| Class destructor.
bool | IsEqual (OtherObjectiveOption *that)
| A function to check for the equality of two objects.
bool | setRandom (double density, bool conformant)
| A function to make a random instance of this class.
bool | setObj (int numberOfObj, OtherObjOption **obj)
| A function to set an array of <obj> elements.
bool | addObj (int idx, std::string value, std::string lbValue, std::string ubValue)
| A function to add a <obj> element.
## Public Attributes
int | numberOfObj
| number of <obj> children
int | numberOfEnumerations
| number of <enumeration> child elements
std::string | name
| name of the option
std::string | value
| value of the option
std::string | solver
| name of the solver to which this option applies
std::string | category
| name of the category into which this option falls
std::string | type
| type of the option value (integer, double, boolean, string)
std::string | description
| description of the option
OtherObjOption ** | obj
| array of option values
OtherOptionEnumeration ** | enumeration

## Detailed Description

the OtherObjectiveOption class.

Author:
  Robert Fourer, Gus Gassmann, Jun Ma, Kipp Martin

Version:
  1.0, 21/07/2008

Since:
  OS 1.1

Remarks:
  A data structure class that corresponds to an xml element in the OSoL schema.

Definition at line 2184 of file OSOption.h.

## Constructor & Destructor Documentation

OtherObjectiveOption::OtherObjectiveOption | ( |  | ) |

Default constructor.

Definition at line 865 of file OSOption.cpp.

References enumeration, and obj.

OtherObjectiveOption::~OtherObjectiveOption | ( |  | ) |

Class destructor.

Definition at line 882 of file OSOption.cpp.

References enumeration, numberOfEnumerations, numberOfObj, and obj.

## Member Function Documentation

bool OtherObjectiveOption::IsEqual | ( | OtherObjectiveOption * | that | ) |

A function to check for the equality of two objects.

Definition at line 9700 of file OSOption.cpp.

References category, description, name, numberOfObj, obj, solver, type, and value.

bool OtherObjectiveOption::setRandom | ( | double | density,
|  | bool | conformant |
| ) |  |  |

A function to make a random instance of this class.

Parameters:

  | density,: | corresponds to the probability that a particular child element is created
  | conformant,: | if true enforces side constraints not enforceable in the schema (e.g., agreement of "numberOfXXX" atrbutes and <XXX> children)

Definition at line 11003 of file OSOption.cpp.

References category, description, enumeration, name, numberOfEnumerations, numberOfObj, obj, OSRand(), OtherOptionEnumeration::setRandom(), OtherObjOption::setRandom(), solver, type, and value.

Referenced by ObjectiveOption::setRandom().

bool OtherObjectiveOption::setObj | ( | int | numberOfObj,
|  | OtherObjOption ** | obj |
| ) |  |  |

A function to set an array of <obj> elements.

Parameters:

  | numberOfObj,: | number of <obj> elements to be set
  | obj,: | the array of <obj> elements that are to be set

Definition at line 5451 of file OSOption.cpp.

References ErrorClass::errormsg, and obj.

bool OtherObjectiveOption::addObj | ( | int | idx,
|  | std::string | value,
|  | std::string | lbValue,
|  | std::string | ubValue |
| ) |  |  |

A function to add a <obj> element.

Parameters:

  | idx,: | the index of the objective
  | value,: | the value associated with this objective
  | lbValue,: | a lower bound associated with this objective
  | ubValue,: | an upper bound associated with this objective

Definition at line 5486 of file OSOption.cpp.

References ErrorClass::errormsg, OtherObjOption::idx, OtherObjOption::lbValue, numberOfObj, obj, OtherObjOption::ubValue, and OtherObjOption::value.

## Member Data Documentation

int OtherObjectiveOption::numberOfObj

number of <obj> children

Definition at line 2188 of file OSOption.h.

Referenced by addObj(), ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherObjectiveOptionObj(), setRandom(), and ~OtherObjectiveOption().

int OtherObjectiveOption::numberOfEnumerations

number of <enumeration> child elements

Definition at line 2191 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~OtherObjectiveOption().

std::string OtherObjectiveOption::name

name of the option

Definition at line 2194 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

std::string OtherObjectiveOption::value

value of the option

Definition at line 2197 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

std::string OtherObjectiveOption::solver

name of the solver to which this option applies

Definition at line 2200 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

std::string OtherObjectiveOption::category

name of the category into which this option falls

Definition at line 2203 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

std::string OtherObjectiveOption::type

type of the option value (integer, double, boolean, string)

Definition at line 2206 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

std::string OtherObjectiveOption::description

description of the option

Definition at line 2209 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), IsEqual(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), and setRandom().

OtherObjOption** OtherObjectiveOption::obj

array of option values

Definition at line 2212 of file OSOption.h.

Referenced by addObj(), ObjectiveOption::addOther(), IsEqual(), OtherObjectiveOption(), setObj(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherObjectiveOptionObj(), setRandom(), and ~OtherObjectiveOption().

OtherOptionEnumeration** OtherObjectiveOption::enumeration

Definition at line 2218 of file OSOption.h.

Referenced by ObjectiveOption::addOther(), OtherObjectiveOption(), ObjectiveOption::setOther(), OSOption::setOtherObjectiveOptionAttributes(), OSOption::setOtherOptionEnumeration(), setRandom(), and ~OtherObjectiveOption().

The documentation for this class was generated from the following files:

- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.h
- /home/coin/SVN-release/OS-2.3.5/OS/src/OSCommonInterfaces/OSOption.cpp